<?php


return  
    [
        'model' => [
            'model' => \Bixo\Profile\Models\Profile::class,
            'table' => 'bixo_profile_profiles',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'created_at', 'updated_at'],
            'appends' => [],
            'fillable' => ['name',  'email',  'sex',  'dob',  'designation',  'description',  'mobile',  'phone',  'address',  'street',  'sublocation_id',  'location_id',  'region_id',  'country_id',  'photo',  'cover_img',  'languages',  'experience',  'education',  'achievement',  'designations',  'cities',  'user_id',  'user_type'],
            'translatables' => [],
            'upload_folder' => 'profile/profile',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
             
                'marking'    => 'array',
            
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'search' => [
            
        ],

        'list' => [
            [
                "key" => "name", 
                "type" => "text", 
                "label" => 'profile::profile.label.name', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "email", 
                "type" => "text", 
                "label" => 'profile::profile.label.email', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "sex", 
                "type" => "text", 
                "label" => 'profile::profile.label.sex', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "dob", 
                "type" => "text", 
                "label" => 'profile::profile.label.dob', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "designation", 
                "type" => "text", 
                "label" => 'profile::profile.label.designation', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "description", 
                "type" => "text", 
                "label" => 'profile::profile.label.description', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "mobile", 
                "type" => "text", 
                "label" => 'profile::profile.label.mobile', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "phone", 
                "type" => "text", 
                "label" => 'profile::profile.label.phone', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "address", 
                "type" => "text", 
                "label" => 'profile::profile.label.address', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "street", 
                "type" => "text", 
                "label" => 'profile::profile.label.street', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "sublocation_id", 
                "type" => "text", 
                "label" => 'profile::profile.label.sublocation_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "location_id", 
                "type" => "text", 
                "label" => 'profile::profile.label.location_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "region_id", 
                "type" => "text", 
                "label" => 'profile::profile.label.region_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "country_id", 
                "type" => "text", 
                "label" => 'profile::profile.label.country_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "photo", 
                "type" => "text", 
                "label" => 'profile::profile.label.photo', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "cover_img", 
                "type" => "text", 
                "label" => 'profile::profile.label.cover_img', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "languages", 
                "type" => "text", 
                "label" => 'profile::profile.label.languages', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "experience", 
                "type" => "text", 
                "label" => 'profile::profile.label.experience', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "education", 
                "type" => "text", 
                "label" => 'profile::profile.label.education', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "achievement", 
                "type" => "text", 
                "label" => 'profile::profile.label.achievement', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "designations", 
                "type" => "text", 
                "label" => 'profile::profile.label.designations', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "cities", 
                "type" => "text", 
                "label" => 'profile::profile.label.cities', 
                'sort' => true,
                'roles' => [],
            ],
        ],

        'form' => [
            [
                "key" => 'name',
                "element" => 'text',
                "type" => 'text',
                "label" => 'profile::profile.label.name',
                "placeholder" => 'profile::profile.placeholder.name',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'email',
                "element" => 'text',
                "type" => 'text',
                "label" => 'profile::profile.label.email',
                "placeholder" => 'profile::profile.placeholder.email',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'sex',
                "element" => 'radios',
                "type" => 'radios',
                "label" => 'profile::profile.label.sex',
                "placeholder" => 'profile::profile.placeholder.sex',
                "rules" => '',
                "options" => function(){
                    return trans('profile::profile.options.sex');
                },
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'dob',
                "element" => 'date_picker',
                "type" => 'date_picker',
                "label" => 'profile::profile.label.dob',
                "placeholder" => 'profile::profile.placeholder.dob',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'designation',
                "element" => 'text',
                "type" => 'text',
                "label" => 'profile::profile.label.designation',
                "placeholder" => 'profile::profile.placeholder.designation',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'description',
                "element" => 'text',
                "type" => 'text',
                "label" => 'profile::profile.label.description',
                "placeholder" => 'profile::profile.placeholder.description',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'mobile',
                "element" => 'text',
                "type" => 'text',
                "label" => 'profile::profile.label.mobile',
                "placeholder" => 'profile::profile.placeholder.mobile',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'phone',
                "element" => 'text',
                "type" => 'text',
                "label" => 'profile::profile.label.phone',
                "placeholder" => 'profile::profile.placeholder.phone',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'address',
                "element" => 'text',
                "type" => 'text',
                "label" => 'profile::profile.label.address',
                "placeholder" => 'profile::profile.placeholder.address',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'street',
                "element" => 'text',
                "type" => 'text',
                "label" => 'profile::profile.label.street',
                "placeholder" => 'profile::profile.placeholder.street',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'sublocation_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'profile::profile.label.sublocation_id',
                "placeholder" => 'profile::profile.placeholder.sublocation_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'location_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'profile::profile.label.location_id',
                "placeholder" => 'profile::profile.placeholder.location_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'region_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'profile::profile.label.region_id',
                "placeholder" => 'profile::profile.placeholder.region_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'country_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'profile::profile.label.country_id',
                "placeholder" => 'profile::profile.placeholder.country_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'photo',
                "element" => 'text',
                "type" => 'text',
                "label" => 'profile::profile.label.photo',
                "placeholder" => 'profile::profile.placeholder.photo',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'cover_img',
                "element" => 'text',
                "type" => 'text',
                "label" => 'profile::profile.label.cover_img',
                "placeholder" => 'profile::profile.placeholder.cover_img',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'languages',
                "element" => 'text',
                "type" => 'text',
                "label" => 'profile::profile.label.languages',
                "placeholder" => 'profile::profile.placeholder.languages',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'experience',
                "element" => 'text',
                "type" => 'text',
                "label" => 'profile::profile.label.experience',
                "placeholder" => 'profile::profile.placeholder.experience',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'education',
                "element" => 'text',
                "type" => 'text',
                "label" => 'profile::profile.label.education',
                "placeholder" => 'profile::profile.placeholder.education',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'achievement',
                "element" => 'text',
                "type" => 'text',
                "label" => 'profile::profile.label.achievement',
                "placeholder" => 'profile::profile.placeholder.achievement',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'designations',
                "element" => 'text',
                "type" => 'text',
                "label" => 'profile::profile.label.designations',
                "placeholder" => 'profile::profile.placeholder.designations',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'cities',
                "element" => 'text',
                "type" => 'text',
                "label" => 'profile::profile.label.cities',
                "placeholder" => 'profile::profile.placeholder.cities',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ],

        'urls' => [
            'new' => [
                'url' => 'profile/profile/new',
                'method' => 'GET',
            ],
            'create' => [
                'url' => 'profile/profile/create',
                'method' => 'GET',
            ],
            'store' => [
                'url' => 'profile/profile',
                'method' => 'POST',
            ],
            'update' => [
                'url' => 'profile/profile',
                'method' => 'PUT',
            ],
            'list' => [
                'url' => 'profile/profile',
                'method' => 'GET',
            ],
            'delete' => [
                'url' => 'profile/profile',
                'method' => 'DELETE',
            ],
        ],

        'order' => [
            'created_at' => 'profile::profile.label.created_at',
            'name' => 'profile::profile.label.name',
            'status' => 'profile::profile.label.status',
        ],

        'groups' => [
            [
                'icon' => "mdi:account-supervisor-outline",
                'name' => "profile::profile.groups.main",
                'group' => "main.main",
                'title' => "profile::profile.groups.main",
            ],
            [
                'icon' => "fe:home",
                'name' => "profile::profile.groups.details",
                'group' => "main.details",
                'title' => "profile::profile.groups.details",
            ],
            'images' => [
                'icon' => "fe:home",
                'name' => "profile::profile.groups.images",
                'group' => "main.images",
                'title' => "profile::profile.groups.images",
            ],
            'settings' => [
                'icon' => "fe:home",
                'name' => "profile::profile.groups.settings",
                'group' => "main.settings",
                'title' => "profile::profile.groups.settings",
            ]
        ],

        'controller' => [
            'provider' => 'Bixo',
            'package' => 'Profile',
            'module' => 'Profile',
        ],

         
        'workflow' => [
            'type' => 'workflow',
            'marking_store' => [
                'type' => 'multiple_state',
                'arguments' => ['status'],
                // 'property' => 'status'
            ],
            'supports' => [
                \Bixo\Profile\Models\Profile::class,
            ],
            'places' => [
                'Draft',
                'Pending',
                'Approved',
                'Closed',
                'Published',
                'Archived',
                'Unpublished',
            ],
            'initial_places' => ['Draft'],
            'transitions' => [
                'submit' => [
                    'from' => 'Draft',
                    'to' => 'Pending',
                    'metadata' => [
                        'roles' => [
                            'user' => ['*'],
                        ],
                        'rules' => [
                            'name' => 'required',
                        ]
                    ],
                ],
                'reject' => [
                    'from' => 'Pending',
                    'to' => 'Draft',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser'],
                            'team' => ['admin', 'manager'],
                        ],
                        'form' => [
                            'title' => 'Reject',
                            'button' => [
                                'cancel' > [
                                    'icon' > '',
                                    'varient' > '',
                                    'label' > 'Cancel'
                                ],
                                'submit' > [
                                    'icon' > '',
                                    'varient' > 'primary',
                                    'label' > 'Reject'
                                ]
                            ],
                            'fields' => [
                                'count' => [
                                    "element" => 'select',
                                    "type" => 'select',
                                    "label" => 'advert::advert.label.count',
                                    "placeholder" => 'advert::advert.placeholder.count',
                                    "options" => call_user_func(function () {
                                        return [
                                            1 => ['value' => 1, 'text' => 1],
                                            2 => ['value' => 2, 'text' => 2],
                                            3 => ['value' => 3, 'text' => 3],
                                            4 => ['value' => 4, 'text' => 4],
                                        ];
                                    }),
                                    "col" => "12",
                                ],
                                'comment' => [
                                    "element" => 'textarea',
                                    "type" => 'text',
                                    "required" => 'required',
                                    "label" => 'advert::advert.label.comment',
                                    "placeholder" => 'advert::advert.placeholder.comment',
                                    "col" => "12",
                                ],
                            ],
                        ],
                    ],
                ],
                'approve' => [
                    'from' => 'Pending',
                    'to' => 'Approved',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser'],
                            'team' => ['admin', 'manager'],
                        ]
                    ],
                ],
                'publish' => [
                    'from' => ['Approved', 'Unpublished'],
                    'to' => 'Published',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser'],
                            'team' => ['admin'],
                        ]
                    ],
                ],
                'unpublish' => [
                    'from' => ['Published'],
                    'to' => 'Unpublished',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser', 'admin'],
                            'team' => ['admin'],
                        ]
                    ],
                ],
                'archive' => [
                    'from' => ['Published', 'Unpublished'],
                    'to' => 'Archived',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser', 'admin'],
                            'team' => ['admin'],
                        ]
                    ],
                ],
                'unarchive' => [
                    'from' => ['Archived'],
                    'to' => 'Draft',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser', 'admin'],
                            'team' => ['admin'],
                        ]
                    ],
                ],
            ],
        ],
        
         
        'actions' => [
            'copy' => [
                'type' => ['Details', 'List'],
                'label' => 'profile::profile.action.copy',
                'roles' => [
                    'user' => ['superuser', 'admin'],
                    'team' => ['admin'],
                    'permission' => ['profile.profile.copy', 'profile.profile.duplicate'],
                ],
                'form' => [
                    'count' => [
                        "element" => 'select',
                        "type" => 'select',
                        "label" => 'profile::profile.label.count',
                        "placeholder" => 'profile::profile.placeholder.count',
                        "options" => call_user_func(function () {
                            return [
                                1 => ['value' => 1, 'text' => 1],
                                2 => ['value' => 2, 'text' => 2],
                                3 => ['value' => 3, 'text' => 3],
                                4 => ['value' => 4, 'text' => 4],
                            ];
                        }),
                        "col" => "12",
                    ],
                    'comment' => [
                        "element" => 'textarea',
                        "type" => 'text',
                        "required" => 'required',
                        "label" => 'profile::profile.label.comment',
                        "placeholder" => 'profile::profile.placeholder.comment',
                        "col" => "12",
                    ],
                ],
            ],
            'empty' => [
                'type' => ['List', 'Details'],
                'label' => 'profile::profile.action.empty',
                'roles' => [
                    'user' => ['superuser'],
                ],
            ],
            
            'section' => [
                'type' => ['Group'],
                'api_url' => '',
                'action' => 'list',
                'label' => 'profile::profile.action.section',
                'store' => 'main.units',
                'group' => 'main.units'
            ],

        ]
        
    ];
