<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateBixoProfileProfilesTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: bixo_profile_profiles
         */
        Schema::create('bixo_profile_profiles', function ($table) {
            $table->increments('id');
            $table->string('name', 100)->nullable();
            $table->string('email', 100)->nullable();
            $table->enum('sex', ['Yes', 'No'])->nullable();
            $table->date('dob')->nullable();
            $table->string('designation', 100)->nullable();
            $table->text('description')->nullable();
            $table->string('mobile', 100)->nullable();
            $table->string('phone', 100)->nullable();
            $table->string('address', 255)->nullable();
            $table->string('street', 100)->nullable();
            $table->integer('sublocation_id')->nullable();
            $table->integer('location_id')->nullable();
            $table->integer('region_id')->nullable();
            $table->integer('country_id')->nullable();
            $table->text('photo')->nullable();
            $table->text('cover_img')->nullable();
            $table->text('languages')->nullable();
            $table->text('experience')->nullable();
            $table->text('education')->nullable();
            $table->text('achievement')->nullable();
            $table->text('designations')->nullable();
            $table->text('cities')->nullable();
            $table->integer('user_id')->nullable();
            $table->string('user_type', 255)->nullable();
            $table->text('marking', 200)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('bixo_profile_profiles');
    }
}
