<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for profile in profile package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  profile module in profile package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name' => 'Profile',
    'names' => 'Profiles',
    'icon' => 'las la-list',

    /**
     * Singlular and plural name of the module
     */
    'title' => [
        'main' => 'Profiles',
        'sub' => 'Profiles'
    ],

    /**
     * Singlular and plural name of the module
     */
    'groups'         => [
        'main' => 'Main',
        'images' => 'Images',
        'details' => 'Details',
        'settings' => 'Settings'
    ],

    /**
     * Form sub section name for the module.
     */
    'sections' => [
        'main' => 'Main',
        'details' => 'Details',
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
        'sex' => 
            [
                                
                [
                    'key'    => 'Male',
                    'value'  => 'Male',
                    'text'   => 'Male',
                ],
                                
                [
                    'key'    => 'Female',
                    'value'  => 'Female',
                    'text'   => 'Female',
                ],
                                
            ],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'name'                       => 'Please enter name',
        'email'                      => 'Please enter email',
        'sex'                        => 'Please select sex',
        'dob'                        => 'Please select dob',
        'designation'                => 'Please enter designation',
        'description'                => 'Please enter description',
        'mobile'                     => 'Please enter mobile',
        'phone'                      => 'Please enter phone',
        'address'                    => 'Please enter address',
        'street'                     => 'Please enter street',
        'sublocation_id'             => 'Please enter sublocation id',
        'location_id'                => 'Please enter location id',
        'region_id'                  => 'Please enter region id',
        'country_id'                 => 'Please enter country id',
        'photo'                      => 'Please enter photo',
        'cover_img'                  => 'Please enter cover img',
        'languages'                  => 'Please enter languages',
        'experience'                 => 'Please enter experience',
        'education'                  => 'Please enter education',
        'achievement'                => 'Please enter achievement',
        'designations'               => 'Please enter designations',
        'cities'                     => 'Please enter cities',
        'user_id'                    => 'Please enter user id',
        'user_type'                  => 'Please enter user type',
        'created_at'                 => 'Please select created at',
        'deleted_at'                 => 'Please select deleted at',
        'updated_at'                 => 'Please select updated at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'name'                       => 'Name',
        'email'                      => 'Email',
        'sex'                        => 'Sex',
        'dob'                        => 'Dob',
        'designation'                => 'Designation',
        'description'                => 'Description',
        'mobile'                     => 'Mobile',
        'phone'                      => 'Phone',
        'address'                    => 'Address',
        'street'                     => 'Street',
        'sublocation_id'             => 'Sublocation id',
        'location_id'                => 'Location id',
        'region_id'                  => 'Region id',
        'country_id'                 => 'Country id',
        'photo'                      => 'Photo',
        'cover_img'                  => 'Cover img',
        'languages'                  => 'Languages',
        'experience'                 => 'Experience',
        'education'                  => 'Education',
        'achievement'                => 'Achievement',
        'designations'               => 'Designations',
        'cities'                     => 'Cities',
        'user_id'                    => 'User id',
        'user_type'                  => 'User type',
        'created_at'                 => 'Created at',
        'deleted_at'                 => 'Deleted at',
        'updated_at'                 => 'Updated at',
    ],

        /**
     * Label for workflows.
     */
    'workflow' => [
        'submit' => [
            'label' => 'Submit',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'approve' => [
            'label' => 'Approve',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'reject' => [
            'label' => 'Reject',
            'icon' => 'save',
            'varient' => 'danger',
        ],
        'publish' => [
            'label' => 'Publish',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'unpublish' => [
            'label' => 'Unpublish',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'archive' => [
            'label' => 'Archive',
            'icon' => 'save',
            'varient' => 'danger',
        ],
        'unarchive' => [
            'label' => 'Unarchive',
            'icon' => 'save',
            'varient' => 'outline',
        ],
    ],
    
    // Customize this permissions if needed.
    /**
     * Label for actions.
     */
    'actions' => [
        'copy' => [
            'label' => 'Copy',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'empty' => [
            'label' => 'Empty',
            'icon' => 'save',
            'varient' => 'outline',
        ],
    ],
    ];
