<?php

namespace Bixo\Profile\Http\Controllers;

use App\Http\Controllers\Controller as BaseController;
use Exception;
use Bixo\Profile\Http\Requests\ProfileActionsRequest;
use Bixo\Profile\Actions\ProfileActions;

/**
 * Admin web controller class.
 */
class ProfileActionsController extends BaseController
{

    /**
     * Action controller function for profile.
     *
     * @param Model $model
     * @param action next action for the model.
     *
     * @return Response
     */
    public function __invoke(ProfileActionsRequest $request, $action)
    {
        try {
            $profile = ProfileActions::run($request, $action);
            return $this->response->message(trans('messages.success.updated', ['Module' => trans('profile::profile.name')]))
                ->code(204)
                ->data(compact('data'))
                ->status('success')
                ->url(guard_url('profile/profile/' . $action))
                ->redirect();
        } catch (Exception $e) {
            return $this->response->message($e->getMessage())
                ->code(400)
                ->status('error')
                ->url(guard_url('profile/profile/' . $action))
                ->redirect();
        }
    }
}
