<?php

namespace Bixo\Profile\Http\Controllers;

use App\Http\Controllers\ActionController as BaseController;
use Exception;
use Bixo\Profile\Actions\ProfileReport;
use Bixo\Profile\Http\Requests\ProfileReportRequest;

/**
 * Admin web controller class.
 */
class ProfileReportController extends BaseController
{
    /**
     * Action controller function for profile.
     *
     * @param Model $model
     * @param action next action for the model.
     *
     * @return Response
     */
    public function __invoke(ProfileReportRequest $request, $report)
    {
        try {
        
            $this->model = app(Profile::class);
            $data = ProfileReport::run($request, $report);

            return $this->response->message(trans('messages.success.updated', ['Module' => trans('profile::profile.name')]))
                ->code(204)
                ->data(compact('data'))
                ->status('success')
                ->url(guard_url('profile/profile/' . $report))
                ->redirect();
        } catch (Exception $e) {
            return $this->response->message($e->getMessage())
                ->code(400)
                ->status('error')
                ->url(guard_url('profile/profile/' . $report))
                ->redirect();
        }
    }
}
