<?php

namespace Bixo\Profile\Policies;

use Bixo\Profile\Models\Profile;
use Illuminate\Foundation\Auth\User as Authenticatable;

trait ProfileAction
{

    /**
     * Determine if the given user can copy the given profile.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function copy(Authenticatable $user, Profile $profile)
    {

        if ($authUser->canDo('profile.profile.action.copy')) {
            return true;
        }

        $this->model->is_owner;
    }

    /**
     * Determine if the given user can empty the given profile.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    function empty(Authenticatable $user, Profile $profile) {

        if ($authUser->canDo('profile.profile.action.empty')) {
            return true;
        }

        $this->model->is_owner;
    }

    /**
     * Determine if the given user can transfer the given profile.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function transfer(Authenticatable $user, Profile $profile)
    {

        if ($authUser->canDo('profile.profile.action.transfer')) {
            return true;
        }

        $this->model->is_owner;
    }

}
