<?php


namespace Bixo\Profile\Policies;

use Litepie\User\Interfaces\UserPolicyInterface;

trait ProfileReport
{

    /**
     * Determine if the given user can approve the given profile.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function povote(UserPolicyInterface $authUser)
    {
        if ($authUser->canDo('profile.profile.report.povote')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given profile.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function report(UserPolicyInterface $authUser)
    {
        if ($authUser->canDo('profile.profile.report')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given profile.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function download(UserPolicyInterface $authUser)
    {
        if ($authUser->canDo('profile.profile.report.download')) {
            return true;
        }

        return false;
    }
}
